/*
 Carregar estado e cidades
*/
sessionStorage.setItem("status",0);
function testeConexaoInicio(){
    var status = sessionStorage.getItem("status");  
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
    // Percorre toda a lista do json retornado e exibe na tela
        //carregarSelect();
        carregarEstado();
    })
    .fail(function() {
        if(status == 0){
            msgSemConexao();
            sessionStorage.setItem("status",1);
            //alert(status);
        }
        if(status !== 0){
            var t = setTimeout(function(){ testeConexaoInicio() }, 500);
        }
    })  
}
function carregarEstado(){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarEstado.php"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        var options = "<option selected=selected disabled value=''>Estado</option>";
        $.each( data, function( chave, valor ){
            options += "<option value="+valor.idestado+">"+valor.nome+"</option>" 
        });
        $('#idSelectEstado').html(options);
        //carregarCidade();
        carregarCidadeCapital();
    }).fail(function() {
        msgSemConexao();
        $('#telaLoading').html('');
        $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicial");       
    });     
}
function carregarCidadeCapital(){
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarCidadeECapital.php"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        var options = "<option selected='' disabled value=''>Cidade</option>";
            $.each( data, function( chave, valor ){
               array.push({
                    idcidade: valor.idcidade,
                    nome: valor.nome,
                    estado_idestado: valor.estado_idestado,
                    cidade: valor.cidade     
                }); 
            });
            localStorage.setItem("dadosCidade", JSON.stringify(array));
 
    }).fail(function(){
        msgSemConexao();
        $('#telaLoading').html('');
        $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicial");
    });    
}
/*
function carregarCidade(){
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarCidade.php"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        var options = "<option selected='' disabled value=''>Cidade</option>";
            $.each( data, function( chave, valor ){
               /* options += "<option value="+valor.idcidade+">"+valor.nome+"</option>" */
/*               array.push({
                    idcidade: valor.idcidade,
                    nome: valor.nome,
                    estado_idestado: valor.estado_idestado    
                }); 
            });
            localStorage.setItem("dadosCidade", JSON.stringify(array));
 
    }).fail(function() {
        msgSemConexao();
        $('#telaLoading').html('');
        $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicial");
    });    
}
*/
//carregar cidade quando clicada
function buscar_cidades(){
    var idestado = $('#idSelectEstado').val();
    var dados = localStorage.getItem("dadosCidade");
    var dadosCidade = JSON.parse(dados);
    var options="<option selected=selected disabled value=''>Cidade</option>";
        for(var i=0; i<dadosCidade.length; i++){
            if(dadosCidade[i].estado_idestado == idestado){
                options += "<option value="+dadosCidade[i].idcidade+" id="+dadosCidade[i].cidade+" >"+dadosCidade[i].nome+"</option>"
            }
        }
        $("#idSelectCidade").html(options);
}
/*
    Carregar categoria, eventos, promoo
*/
function carregarCategoriaEventoPromocao(){
    var idcidade = localStorage.getItem("idcidade");
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarCategorias.php?idcidade="+idcidade+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            array.push({
                idcategoria: valor.idcategoria,
                nome: valor.nome,
                totalEstabelecimentos: valor.totalEstabelecimentos       
            }); 
        })
        localStorage.setItem("categorias", JSON.stringify(array));
        carregarCategoriaEventoPromocaoUm();
    }).fail(function() {
            msgSemConexao();
            //alert(status);
            $('#telaLoading').html('');
            $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicio");
        })   
}
function carregarCategoriaEventoPromocaoUm(){
    var idcidade = localStorage.getItem("idcidade");
    var content = "";
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarEstabelecimentosEmPromocao.php?idcidade="+idcidade+"" 
    var array = new Array();
    // Abre uma conexao ajax para obter a lista do servidor no formato json     
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            array.push({
                idpessoa: valor.idpessoa,
                nomeEstabelecimento: valor.nomeEstabelecimento,
                nomePromocao: valor.nomePromocao,
                descricaoPromocao: valor.descricao,
                codigoImagem: valor.codigoImagem    
            }); 
        })
        localStorage.setItem("promocao", JSON.stringify(array));
        carregarCategoriaEventoPromocaoDois();
    }).fail(function() {
            msgSemConexao();
            //alert(status);
            $('#telaLoading').html('');
            $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicio");
        })
}
function carregarCategoriaEventoPromocaoDois(){
    var idestado = localStorage.getItem("idestado");
    var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarEventos.php?idestado="+idestado+""
    var array = new Array();
    //Abre uma conexao ajax para obter a lista do servidor no formato json     
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
            $.each( data, function( chave, valor ){
                array.push({
                    idevento: valor.idevento,
                    nomeEvento: valor.nomeEvento,
                    localEvento: valor.localEvento,
                    cidade: valor.cidade,
                    dataInicial: valor.dataInicial,
                    diaSemana: valor.diaSemana,
                    horaInicio: valor.horaInicio,
                    logo: valor.logo,
                    mesInicio: valor.mesInicio         
                }); 
            });
            
            localStorage.setItem("eventos", JSON.stringify(array));
            direcionarTelaInicio(); 
            //$("#telaLoading").removeClass("telaLoadingAtivado");       
    }).fail(function() {
            msgSemConexao();
            //alert(status);
            $('#telaLoading').html('');
            $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicio");
        })
}
function direcionarTelaInicio(){
    window.location.href = "./pg/pgCategoria.html";
}
/*
Funcao executada quando uma cidade e escolhida pelo usuario na tela inicial do app.
O identificador da cidade e guardado para posteriormente ser utilizado na consulta
da busca das categorias e dos estabelecimentos da cidade selecionada. Antes de tudo,
a funcao testeConexaoInicialCategoria e executada, pra checar se o usuario esta em rede.
*/
function guardarCidade(){
    if((document.formSelectCidade.idSelectCidade.value == "")&&(document.formSelectCidade.idSelectEstado.value == "")){
        $('#selecioneCidadeEstado').stop().fadeIn(400).delay(2000).fadeOut(400);
        //alert("Selecione o Estado e em seguida a Cidade");
    }
    if((document.formSelectCidade.idSelectCidade.value == "")&&(document.formSelectCidade.idSelectEstado.value !== "")){
        var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
        $('#selecioneCidade').stop().fadeIn(400).delay(2000).fadeOut(400);
        //alert("Selecione a cidade");
    }
    if((document.formSelectCidade.idSelectCidade.value !== "")&&(document.formSelectCidade.idSelectEstado.value !== "")){
        localStorage.setItem("idcidade", document.formSelectCidade.idSelectCidade.value);
        localStorage.setItem("idestado", document.formSelectCidade.idSelectEstado.value);
        localStorage.setItem("tipo_cidade", $("#idSelectCidade option:selected").attr("id"));
        testeConexaoInicialCategoria();        
    }
}
/*
Funcao responsavel em testar conexao do usuario. Se o usuario estiver com conexao, a 
funcao carregarCategorias e executada.
*/
function testeConexaoInicialCategoria(){
    $("#telaLoading").addClass("telaLoadingAtivadoTelaInicio");
    $('#telaLoading').html('<img src="./img/ajax-loader_inicio.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        //carregarCategorias();
        if(localStorage.getItem("tipo_cidade") == "capital"){
            guardarRegiaoCapital();    
        }else{
            carregarCategoriaEventoPromocao()
        }
    })
    .fail(function() {
        msgSemConexao();
        //alert(status);
        $('#telaLoading').html('');
        $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicio");
    })   
}
function guardarRegiaoCapital(){
    var idcidade = localStorage.getItem("idcidade");
    var tipoCidade = localStorage.getItem("tipo_cidade");
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarRegiaoCapital.php?idcidade="+idcidade+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            array.push({
                idregiao: valor.idregiao_capital,
                nome: valor.nome    
            }); 
        });
        localStorage.setItem("regiao_capital", JSON.stringify(array));
        direcionarTelaRegiaoCapital();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });    
}
function direcionarTelaRegiaoCapital(){
    window.location.href = "./pg_capital/regiao.html";
}
/*
Funcao responsavel em carregar as categorias que serao exibidas na segunda tela do app.
Onde serao listados todas as categorias com os estabelecimentos da cidade seleciondada
pelo usuario na tela incial do app.
As categorias e armazenada no LocalStorage, que serao carregadas e exibidas na tela de
categoria.
*/
function carregarCategorias(){
    //$('#loading').html('<img src="./img/carregar.gif"/>');
    var idcidade = localStorage.getItem("idcidade");
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarCategorias.php?idcidade="+idcidade+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            array.push({
                idcategoria: valor.idcategoria,
                nome: valor.nome,
                totalEstabelecimentos: valor.totalEstabelecimentos       
            }); 
        });
        localStorage.setItem("categorias", JSON.stringify(array));
        direcionarTelaCategorias();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
/*
Funcao responsavel em direcionar para tela de Categorias. Ela e chamada depois que as
categorias e armazenada no localStorage.
*/
function direcionarTelaCategorias(){
    window.location.href = "./pg/pgCategoria.html";
}
/*
Funcao executada quando o usuario escolhe uma categoria na tela de categorias. 
O identificador da categoria escolhida pelo usuario e guardada no localStorage,
para ser usada na consulta de todos os estabelecmientos que se enquadram na categoria.
*/
function enviarCategoria(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    localStorage.setItem("idcategoria", x);
    testeConexaoCategoriaEstabelecimento();
}
/*
Funcao responsavel em testar conexao de internet do usuario. Ela e executada
quando o usuario clica em alguma categorias da lista de categorias. Se o usuario
estiver conexao a funcao carregarestabelecimento e executado.
*/
function testeConexaoCategoriaEstabelecimento(){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        carregarEstabelecimento();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });   
}
/*
Funcao responsavel em carregar todos os estabelecimentos ou servicos que fazem parte da categoria
escolhida pelo usuario na lista de categorias. Os estabelecimentos sao armazenada no LocalStorage
para posteriormente ser carregadas na pagina do resultado de estabelecimentos.
*/
function carregarEstabelecimento(){
    var content = "";
    //var idpessoa;
    var idcategoria = localStorage.getItem("idcategoria");
    var idcidade = localStorage.getItem("idcidade");
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarEstabelecimentos.php?idcategoria="+idcategoria+"&idcidade="+idcidade+""
    var array = new Array();
    //Abre uma conexao ajax para obter a lista do servidor no formato json     
    ajax = $.getJSON( url, function( data ){
        if(data == ""){
        
        }else{
        // Percorre toda a lista do json retornado e exibe na tela
            $.each( data, function( chave, valor ){
                array.push({
                    idpessoa: valor.idpessoa,
                    descricao: valor.descricao,
                    nome: valor.nome,
                    rua: valor.rua,
                    telefone1: valor.telefone1,
                    telefone2: valor.telefone2,
                    site: valor.site,
                    codigoLogo: valor.codigo ,
                    categoria: valor.categoria,
                    tipoContrato: valor.tipoContrato        
                }); 
            });
            localStorage.setItem("estabelecimento", JSON.stringify(array));
            direcionarTelaEstabelecimentos();    
        }        
    }).fail(function() {
        msgSemConexao();
        $('#telaLoading').html('');
        $("#telaLoading").removeClass("telaLoadingAtivado");
    });   
}
/*
Funcao responsavel por direcionar para tela que lista os todos os estabelecimentos
de uma categoria escolhida.
*/
function direcionarTelaEstabelecimentos(){
    window.location.href = "./pgEstabelecimentos.html";
}
/*
Funcao responsavel em testar a conexao do usuario antes de entrar na tela do resultados de 
estabelecimentos.
*/
function testeConexaoEstabelecimentoInfo(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        infoEstabelecimentoAux(x);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
/*
Funcao responsavel em buscar no servidor as imagens que serao exibidos no slide show
de cada estabelecimento.
*/
function infoEstabelecimentoAux(x){
    var arraySlide = new Array();
    localStorage.setItem("idestabelecimento", x);
    var idtipo = 2 //Codigo do tipo Slide
    var slide = [];
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSlideShow.php?idpessoa="+x+"&idtipo="+idtipo+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ) {
            slide.push({
                idpessoa: x,
                imagens: valor.idimagens,
                codigo: valor.codigo
            })        
        });
        localStorage.setItem("slideShow", JSON.stringify(slide));
        direcionarTelaIfonEstabelecimentos();                       
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
/*
Funcao responsavel pra direcionar o usuario pra tela do estabelecimento escolhido.
*/
function direcionarTelaIfonEstabelecimentos(){
    window.location.href = "./pgInfoEstabelecimento.html";
}
/*
Funcao responsavel em buscar no servidor as informacoes do estabelecimento escolhido e posteriormente
ser exibidas na tela do estabelecimento.
*/
function infoEstabelecimento(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarInfoEstabelecimento.php?idestabelecimento="+idestabelecimento+""
    var array = []; 
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        var latitude = data[0].latitude;
        var longitude = data[0].longitude;
        var obj = {latitude: latitude, longitude: longitude}
        array.push(obj);
        localStorage.setItem("mapa",JSON.stringify(array));
        var options = "";
        $.each( data, function( chave, valor ){
            $("#titulo").html("<font>"+valor.nome+"</font>");
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.site !== "")){
            //alert("1");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone3+'"><font class="telefone" size="2px">'+valor.telefone3+'</font></a>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/site.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="javascript:testeConexaoSite('+idestabelecimento+')"><font size="2px">'+valor.dominio+'</font></a>'+
                                '</td>'+
                            '</tr>'    
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.site !== "")){
            //alert("2");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/site.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="javascript:testeConexaoSite('+idestabelecimento+')"><font size="2px">'+valor.dominio+'</font></a>'+
                                '</td>'+
                            '</tr>'    
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.site !== "")){
            //alert("3");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/site.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="javascript:testeConexaoSite('+idestabelecimento+')"><font size="2px">'+valor.dominio+'</font></a>'+
                                '</td>'+
                            '</tr>'    
            }
            if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.site !== "")){
            //alert("4");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/site.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="javascript:testeConexaoSite('+idestabelecimento+')"><font size="2px">'+valor.dominio+'</font></a>'+
                                '</td>'+
                            '</tr>'    
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.site == "")){
            //alert("5");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone3+'"><font class="telefone" size="2px">'+valor.telefone3+'</font></a>'+
                                '</td>'+
                            '</tr>'   
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.site == "")){
            //alert("6");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a>'+
                                '</td>'+
                            '</tr>'  
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.site == "")){
            //alert("7");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a>'+
                                '</td>'+
                            '</tr>'   
            }
            if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.site == "")){
            //alert("8");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'   
            }
        });
        options += '';
        $("#idInfoEstabelecimento").html(options);
        $('.telefone').mask('(00)0000-0000');
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });      
}
//contar visitas ao estabelecimento
function visitas(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/contarVisitasEstabelecimento.php?idestabelecimento="+idestabelecimento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
    }); 
}
function testeConexaoSite(idpessoa){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        abriSite(idpessoa);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function abriSite(idpessoa){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSitePessoa.php?idpessoa="+idpessoa+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
            //window.location.href = data[0].site;
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
            window.open(data[0].site, '_system');
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });    
}
/*
Funcao responsavel em exibir as informacoes que ficam no Botao Detalhes.
*/
function mostrarDetalhesEstabelecimento(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");   
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarInfoEstabelecimento.php?idestabelecimento="+idestabelecimento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){ 
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.email !== "")&&(valor.complemento == "")){
            //alert("1");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone3: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone3+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento == "")){
            //alert("2");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento == "")){
            //alert("3");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento == "")){
            //alert("4");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.email == "")&&(valor.complemento == "")){
            //alert("5");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone3: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone3+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento == "")){
            //alert("6");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento == "")){
            //alert("7");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento == "")){
            //alert("8");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><b><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        //condies de existir complemento
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.email !== "")&&(valor.complemento !== "")){
            //alert("1");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone3: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone3+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento !== "")){
            //alert("2");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento !== "")){
            //alert("3");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento !== "")){
            //alert("4");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.email == "")&&(valor.complemento !== "")){
            //alert("5");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone3: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone3+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento !== "")){
            //alert("6");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento !== "")){
            //alert("7");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento !== "")){
            //alert("8");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><b><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        });
        $('.telefone').mask('(00)0000-0000');
        $('.cep').mask('00000-000');
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });      
}
function mostrarPromocao(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");   
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarPromocao.php?idestabelecimento="+idestabelecimento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        if(data){
            $.each( data, function( chave, valor ){
            $("#listarP").append("<table>"+
                                    "<tr>"+
                                        "<td><b>Nome: </b></td>"+
                                        "<td>"+valor.nome+"</td>"+
                                    "</tr>"+
                                    "<tr>"+
                                        "<td><b>Promocao: </b></td>"+
                                        "<td>"+valor.descricao+"</td>"+
                                    "</tr>"+
                                "</table>");
            });
        }
        if(data == ""){                          
            $("#listarP").append("<table>"+
                                     "<tr>"+
                                         "<td>Este estabelecimento<br />n&atilde;o possui promo&ccedil;&atilde;o.</td>"+
                                     "</tr>"+
                                 "</table>");                        
        }       
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });  
}
function ligarFixo(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");     
    var array = new Array();
	var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarNumTelefone.php?idestabelecimento="+idestabelecimento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            window.location.href = "tel:"+valor.telefone+"";
        });
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
} 
function mostrarPromocaoExistente(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");  
    var array = new Array();
	var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarPromocao.php?idestabelecimento="+idestabelecimento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        var options = "";
        $.each( data, function( chave, valor ){
            $("#titulo").html("<font>"+valor.nome+"</font>");
            var dataInicio = valor.dataInicio;
            var dataInicioString = (dataInicio.split('-'));
            var dataFim = valor.dataFim;
            var dataFimString = (dataFim.split('-'));
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")){
            //alert("1");
                 options += '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width="1px">'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone3+'"><font class="telefone" size="2px">'+valor.telefone3+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")){
            //alert("2");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")){
            //alert("3");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width="1px">'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'
            }
            if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")){
            //alert("4");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'
            }
        });
		$("#idPromocao").html(options);
        $('.telefone').mask('(00)0000-0000');           
    }).fail(function(){
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
//************* FUNES PARA CARREGAR UM ESTABELECIMENTO ATRAVES DA TELA DE PROMOES********************
function mostrarPromocaoDuplicado(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");  
    var array = new Array();
	var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarPromocao.php?idestabelecimento="+idestabelecimento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        var options = "";
        $.each( data, function( chave, valor ){
            $("#titulo").html("<font>"+valor.nome+"</font>");
            var dataInicio = valor.dataInicio;
            var dataInicioString = (dataInicio.split('-'));
            var dataFim = valor.dataFim;
            var dataFimString = (dataFim.split('-'));
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")){
            //alert("1");
                 options += '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width="1px">'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone3+'"><font class="telefone" size="2px">'+valor.telefone3+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'+
                                '<td colspan=2>'+
                                    '<a href="javascript:testeConexaoEstabelecimentoInfoDuplicado('+valor.idpessoa+')" ><font size=2px>'+valor.nomePessoa+'</font></a>'+       
                                '</td>'+
                            '</tr>'
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")){
            //alert("2");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'+
                                '<td colspan=2>'+
                                    '<a href="javascript:testeConexaoEstabelecimentoInfoDuplicado('+valor.idpessoa+')" ><font size=2px>'+valor.nomePessoa+'</font></a>'+       
                                '</td>'+
                            '</tr>'
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")){
            //alert("3");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width="1px">'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'+
                                '<td colspan=2>'+
                                    '<a href="javascript:testeConexaoEstabelecimentoInfoDuplicado('+valor.idpessoa+')" ><font size=2px>'+valor.nomePessoa+'</font></a>'+       
                                '</td>'+
                            '</tr>'
            }
            if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")){
            //alert("4");
                options += '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'+
                                '<td colspan=2>'+
                                    '<a href="javascript:testeConexaoEstabelecimentoInfoDuplicado('+valor.idpessoa+')" ><font size=2px>'+valor.nomePessoa+'</font></a>'+       
                                '</td>'+
                            '</tr>'
            }
        });
		$("#idPromocao").html(options);
        $('.telefone').mask('(00)0000-0000');           
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
function testeConexaoEstabelecimentoInfoDuplicado(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        infoEstabelecimentoAuxDuplicado(x);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });    
}
/*
Funcao responsavel em buscar no servidor as imagens que serao exibidos no slide show
de cada estabelecimento.
*/
function infoEstabelecimentoAuxDuplicado(x){
    var arraySlide = new Array();
    localStorage.setItem("idestabelecimento", x);
    var idtipo = 2 //Codigo do tipo Slide
    var slide = [];
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSlideShow.php?idpessoa="+x+"&idtipo="+idtipo+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ) {
            slide.push({
                idpessoa: x,
                imagens: valor.idimagens,
                codigo: valor.codigo
            })        
        });
        localStorage.setItem("slideShow", JSON.stringify(slide));
        direcionarTelaIfonEstabelecimentosDuplicado();                       
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
/*
Funcao responsavel pra direcionar o usuario pra tela do estabelecimento escolhido.
*/
function direcionarTelaIfonEstabelecimentosDuplicado(){
    window.location.href = "./pgInfoEstabelecimentoDuplicado.html";
}
//***********************FIM FUNES PARA CARREGAR UM ESTABELECIMENTO ATRAVES DA TELA DE PROMOES**************

//***CARREGAR ESTABELECIMENTO EM PROMO��O ***//
function testeConexaoCategoriaPromocao(){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        carregarEstabelecimentosPromocao();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });  
}
function carregarEstabelecimentosPromocao(){
    var idcidade = localStorage.getItem("idcidade");
    //$('#loading').html('<img src="../img/carregar.gif"/>');
    var content = "";
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarEstabelecimentosEmPromocao.php?idcidade="+idcidade+"" 
    var array = new Array();
    // Abre uma conexao ajax para obter a lista do servidor no formato json     
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            array.push({
                idpessoa: valor.idpessoa,
                nomeEstabelecimento: valor.nomeEstabelecimento,
                nomePromocao: valor.nomePromocao,
                descricaoPromocao: valor.descricao,
                codigoImagem: valor.codigoImagem    
            }); 
        });
        localStorage.setItem("promocao", JSON.stringify(array));
        direcionarTelaEstabelecimentosPromocao();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function direcionarTelaEstabelecimentosPromocao(){
    window.location.href = "./pgEstabelecimentoPromocao.html";
}
function direcionarTelaPromocao(){
    window.location.href = "./pgPromocao.html";
}
function direcionarTelaPromocaoParaPromocao(){
    window.location.href = "./pgPromocaoDuplicado.html";
}
function testeConexaoInfoPromocao(){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        infoPromocaoAuxDaTelaDoEstabelecimento();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });   
}
function infoPromocaoAuxDaTelaDoEstabelecimento(){
    var x = localStorage.getItem("idestabelecimento");
    var arraySlidePromocao = new Array();
    var idtipo = 4;
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSlidePromocao.php?idpessoa="+x+"&idtipo="+idtipo+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        if(data == ""){
            $('#msgSemPromocao').stop().fadeIn(400).delay(2000).fadeOut(400);
            //alert("Este estabelecimento não possui promoção");
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        }else{
            // Percorre toda a lista do json retornado e exibe na tela
            $.each( data, function( chave, valor ){
                arraySlidePromocao.push({
                    idpessoa: x,
                    idimagens: valor.idimagens,
                    codigo: valor.codigo
                })        
            });
            localStorage.setItem("slidePromocao", JSON.stringify(arraySlidePromocao));
            direcionarTelaPromocao();               
        }                    
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
function testeConexaoPromocaoPromocao(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        infoPromocaoAux(x);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });      
}
function infoPromocaoAux(x){
    localStorage.setItem("idestabelecimento", x);
    var arraySlidePromocao = new Array();
    var idtipo = 4;
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSlidePromocao.php?idpessoa="+x+"&idtipo="+idtipo+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            arraySlidePromocao.push({
                idpessoa: x,
                idimagens: valor.idimagens,
                codigo: valor.codigo
            })        
        });
        localStorage.setItem("slidePromocao", JSON.stringify(arraySlidePromocao));
        direcionarTelaPromocaoParaPromocao();                      
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
// *************** MAPA ****************
function testeConexaoInfoMapa(){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        mapa();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
function mapa(){
    var obj = JSON.parse(localStorage.getItem("mapa"));
    window.location.href="http://isearch.net.br/servidor_isearch03/mapa/mapa.php?lat="+obj[0].latitude+"&lon="+obj[0].longitude+"";
}
function msgSemConexao(){
    alert("Não foi possível conectar ao servidor. Verifique sua conexão com a Internet e tente novamente.");
}
/*
    Info tela Categorias
*/
function testeConexaoParceiros(){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        infoParceiros();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });    
}
function infoParceiros(){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarParceiros.php"
    var arrayParceiros = new Array();
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            arrayParceiros.push({
                idparceiros: valor.idparceiros,
                site: valor.site,
                codigo: valor.codigo
            })
        });
        localStorage.setItem("parceiros", JSON.stringify(arrayParceiros));
        direcionarTelaParceiros();                    
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function direcionarTelaParceiros(){
    window.location.href = "./pgParceiros.html";
}
function testeConexaoParceirosSite(idparceiros){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
        //Percorre toda a lista do json retornado e exibe na tela
        abriSiteParceiros(idparceiros);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function abriSiteParceiros(idparceiros){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSiteParceiros.php?idparceiros="+idparceiros+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
            window.open(data[0].site, '_system');
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });    
}