/*Funcao que e chamada quando clicado no icone de promocao localizado na tela de categoria*/
function testeConexaoCarregarEventos(){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        carregarEventos();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
function carregarEventos(){
    var idestado = localStorage.getItem("idestado");
    var idcidade = localStorage.getItem("idcidade");
    var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarEventos.php?idestado="+idestado+""
    var array = new Array();
    //Abre uma conexao ajax para obter a lista do servidor no formato json     
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
            $.each( data, function( chave, valor ){
                array.push({
                    idevento: valor.idevento,
                    nomeEvento: valor.nomeEvento,
                    localEvento: valor.localEvento,
                    cidade: valor.cidade,
                    dataInicial: valor.dataInicial,
                    diaSemana: valor.diaSemana,
                    horaInicio: valor.horaInicio,
                    logo: valor.logo,
                    mesInicio: valor.mesInicio         
                }); 
            });
            
            localStorage.setItem("eventos", JSON.stringify(array));
            direcionarTelaEventos();         
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });   
}
function direcionarTelaEventos(){
    window.location.href = "../pgEventos/pgEventos.html";
}
function testeConexaoEventoInfo(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        guardarDadosEvento(x);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });    
}
function guardarDadosEvento(x){
    var arraySlide = new Array();
    localStorage.setItem("idEvento", x);
    var idtipo = 2 //Codigo do tipo Slide
    var dados = [];
    var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarDadosEvento.php?idevento="+x+"&idtipo="+idtipo+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ) {
            dados.push({
                slide: valor.slide,
                diaSemana: valor.diaSemana,
                dataInicial: valor.dataInicial,
                dataFinal: valor.dataFinal,
                mesInicio: valor.mesInicio,
                mesFim:valor.mesFim,
                horaInicio: valor.horaInicio,
                horaFim: valor.horaFim,
                localEvento: valor.localEvento,
                rua: valor.rua,
                bairro: valor.bairro,
                numero: valor.numero,
                cep: valor.cep,
                cidade: valor.cidade,
                uf: valor.uf,
                descricao: valor.descricao,
                latitude: valor.latitude,
                longitude: valor.longitude,
                organizacao: valor.organizacao,
                nomeEvento: valor.nomeEvento
            })
            localStorage.setItem("nomeEvento", valor.nomeEvento);        
        });
        localStorage.setItem("dadosEvento", JSON.stringify(dados));
        carregarLocalVenda(x,data[0].possuiAtracao, data[0].possuiConvite, data[0].possuiPontosVenda, data[0].possuiCardapio);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function carregarLocalVenda(x,patracao, pconvite, ppontosVenda, pcardapio){
        var dadosLocalVenda = [];
        var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarLocalEvento.php?idevento="+x+""
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        ajax = $.getJSON( url, function( data ){
            $.each( data, function( chave, valor ) {
            dadosLocalVenda.push({
                idpostoVenda: valor.idpostoVenda,
                localVenda: valor.localVenda,
                totalVendedor: valor.totalVendedor
            })
        });
        localStorage.setItem("localVenda", JSON.stringify(dadosLocalVenda));
        direcionarTelaInfoEvento(patracao, pconvite, ppontosVenda, pcardapio);
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        });     
}
function direcionarTelaInfoEvento(patracao, pconvite, ppontosVenda, pcardapio){
    if(patracao == 1 && pconvite == 1 && ppontosVenda == 1 && pcardapio == 1){
        localStorage.setItem("idTelaEvento", 1);
        window.location.href = "../pgEventos/pgInfoEventos.html";
    }
    if(patracao == 1 && pconvite == 1 && ppontosVenda == 1 && pcardapio == 0){
        localStorage.setItem("idTelaEvento", 2);
        window.location.href = "../pgEventos/pgInfoEventos1.html";
    }
    if(patracao == 1 && pconvite == 1 && ppontosVenda == 0 && pcardapio == 1){
        window.location.href = "../pgEventos/pgInfoEventos2.html";
    }
    if(patracao == 1 && pconvite == 1 && ppontosVenda == 0 && pcardapio == 0){
        window.location.href = "../pgEventos/pgInfoEventos3.html";
    }
    if(patracao == 1 && pconvite == 0 && ppontosVenda == 0 && pcardapio == 1){
        window.location.href = "../pgEventos/pgInfoEventos4.html";
    }
    if(patracao == 1 && pconvite == 0 && ppontosVenda == 0 && pcardapio == 0){
        window.location.href = "../pgEventos/pgInfoEventos5.html";
    }
    if(patracao == 0 && pconvite == 1 && ppontosVenda == 1 && pcardapio == 1){
        localStorage.setItem("idTelaEvento", 3);
        window.location.href = "../pgEventos/pgInfoEventos6.html";
    }
    if(patracao == 0 && pconvite == 1 && ppontosVenda == 1 && pcardapio == 0){
        localStorage.setItem("idTelaEvento", 4);
        window.location.href = "../pgEventos/pgInfoEventos7.html";
    }
    if(patracao == 0 && pconvite == 1 && ppontosVenda == 0 && pcardapio == 0){
        window.location.href = "../pgEventos/pgInfoEventos8.html";
    }
    if(patracao == 0 && pconvite == 0 && ppontosVenda == 0 && pcardapio == 0){
        window.location.href = "../pgEventos/pgInfoEventos9.html";
    }
    
}
//sobre evento
//Testa a conexão e em seguida executa a funçao de abrir informações sobre o evento.
$(document).ready(function(){
    $("#abrirSobreEvento").bind("click", function(){
        var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        ajax = $.getJSON( url, function( data ){
            //Percorre toda a lista do json retornado e exibe na tela
            abrirSobreEvento();
        }).fail(function(){
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        }); 
    });
});
function abrirSobreEvento(){
    var idevento = localStorage.getItem("idEvento");
    var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarDescricaoEvento.php?idevento="+idevento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
    if(data[0].maisInformacao !== ""){
        $("#sobreEvento").html("<p align='justify'><font color='#708090'>"+data[0].descricao+"</br></br>"+data[0].maisInformacao+"</font></p>");
    }
    if(data[0].maisInformacao == ""){
        $("#sobreEvento").html("<p align='justify'><font color='#708090'>"+data[0].descricao+"</font></p>");
    }
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
//Abrir mapa evento
//Testa a conexão e em seguinda executa a função de abrir a localizacao no mapa do evento.
$(document).ready(function(){
    $("#abrirMapaEvento").click(function(){
        $("#telaLoading").addClass("telaLoadingAtivado");
        $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
        var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        ajax = $.getJSON( url, function( data ){
            //Percorre toda a lista do json retornado e exibe na tela
            abrirMapaLocalEvento();
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        });     
    });
});
function abrirMapaLocalEvento(){
    var obj = JSON.parse(localStorage.getItem("dadosEvento"));
    window.location.href="http://isearch.net.br/servidor_isearch03/mapa/mapa.php?lat="+obj[0].latitude+"&lon="+obj[0].longitude+"";  
}
//Realiza��o e Informa��o
//Testa a conexão e em seguinda executa a função de abrir as informações da Realização e Informação.
$(document).ready(function(){
    $("#abrirRealizacaoInformacao").bind("click", function(){
        var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        ajax = $.getJSON( url, function( data ){
            //Percorre toda a lista do json retornado e exibe na tela
            abrirRealizacaoInformacao();
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        }); 
    });
});
function abrirRealizacaoInformacao(){
    var idevento = localStorage.getItem("idEvento");
    var obj = JSON.parse(localStorage.getItem("dadosEvento"));
    var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarRealizacaoTelefoneEvento.php?idevento="+idevento+""
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        var content = "";
        ajax = $.getJSON( url, function( data ){
            $.each( data, function( chave, valor ){
        if(valor.telefone1 !=="" && valor.telefone2 !=="" && valor.telefone3 !== ""){
            content +=  "<tr>"+
                            "<td colspan=2>"+   
                                "<font color='#708090'>Organiza&ccedil;&atilde;o de "+valor.organizacao+"</font>"+
                            "</td>"+
                        "</tr>"+
                        "<tr>"+
                            "<td width='10px'>"+
                                "<img src='../img/telefone.png' width='15px' height='15px' />"+
                            "</td>"+
                            "<td><a href='tel:"+valor.telefone1+"'><font class='telefone' size='2px'>"+valor.telefone1+"</font></a> | <a href='tel:"+valor.telefone2+"'><font class='telefone' size='2px'>"+valor.telefone2+"</font></a> | <a href='tel:"+valor.telefone3+"'><font class='telefone' size='2px'>"+valor.telefone3+"</font></a></td>"+
                        "</tr>";
        }
        if(valor.telefone1 !=="" && valor.telefone2 !=="" && valor.telefone3 == ""){
            content +=  "<tr>"+
                            "<td colspan=2>"+   
                                "<font color='#708090'>Organiza&ccedil;&atilde;o de "+valor.organizacao+"</font>"+
                            "</td>"+
                        "</tr>"+
                        "<tr>"+
                            "<td width='10px'>"+
                                "<img src='../img/telefone.png' width='15px' height='15px' />"+
                            "</td>"+
                            "<td><a href='tel:"+valor.telefone1+"'><font class='telefone' size='2px'>"+valor.telefone1+"</font></a> | <a href='tel:"+valor.telefone2+"'><font class='telefone' size='2px'>"+valor.telefone2+"</font></a></td>"+
                        "</tr>";
        }
        if(valor.telefone1 !=="" && valor.telefone2 =="" && valor.telefone3 == ""){
            content +=  "<tr>"+
                            "<td colspan=2>"+   
                                "<font color='#708090'>Organiza&ccedil;&atilde;o de "+valor.organizacao+"</font>"+
                            "</td>"+
                        "</tr>"+
                        "<tr>"+
                            "<td width='10px'>"+
                                "<img src='../img/telefone.png' width='15px' height='15px' />"+
                            "</td>"+
                            "<td><a href='tel:"+valor.telefone1+"'><font class='telefone' size='2px'>"+valor.telefone1+"</font></a></td>"+
                        "</tr>";
        }
        if(valor.telefone1 =="" && valor.telefone2 =="" && valor.telefone3 == ""){
            content +=  "<tr>"+
                            "<td colspan=2>"+   
                                "<font color='#708090'>Organiza&ccedil;&atilde;o de "+valor.organizacao+"</font>"+
                            "</td>"+
                        "</tr>";
        }
        });
            $("#realizacaoInformacao").html(content);
            $('.telefone').mask('(00)0000-0000');
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        });   
}
//Atra��es
//Testa a conexao e em seguinda executa a função de abrir informações de atraçoes do evento.
$(document).ready(function(){
    $("#abrirAtracao").bind("click", function(){
        var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        ajax = $.getJSON( url, function( data ){
            //Percorre toda a lista do json retornado e exibe na tela
            abrirAtracao();
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        }); 
    });
});
function abrirAtracao(){
    var idevento = localStorage.getItem("idEvento");
    var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarAtracao.php?idevento="+idevento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    var content = "";
    ajax = $.getJSON( url, function( data ){
        $.each( data, function( chave, valor ) {
            if(valor.dominio !== ""){
                content += "<tr>"+
                                "<td>"+
                                    "<font color='#708090'>&gt;</font><font color='#708090'>"+valor.nomeAtracao+"</font> (<a href='javascript:testeConexaoAbrirSiteAtracoes("+valor.idatracao+")'><font size='2px'>"+valor.dominio+"</font></a>)"+
                                "</td>"+
                            "</tr>"
            }
            if(valor.dominio == ""){
                content += "<tr>"+
                              "<td>"+
                                  "<font color='#708090'>&gt;</font><font color='#708090'>"+valor.nomeAtracao+"</font>"+
                              "</td>"+
                           "</tr>"
            }
        });
        $("#atracao").html(content);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
function testeConexaoAbrirSiteAtracoes(x){
$("#telaLoading").addClass("telaLoadingAtivado");
$('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');    
var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
// Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
    //Percorre toda a lista do json retornado e exibe na tela
        abriSite(x);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function abriSite(idatracao){
    var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarSiteAtracao.php?idatracao="+idatracao+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
            //window.location.href = data[0].site;
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
            window.open(data[0].site, '_system');
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });   
}
//convites
//Testa a conexão e em seguida executa a funcao de abrir informações dos convites da festa.
$(document).ready(function(){
    $("#abrirConvites").bind("click", function(){
        var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        ajax = $.getJSON( url, function( data ){
            //Percorre toda a lista do json retornado e exibe na tela
            abrirConvites();
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        }); 
    });
});
function abrirConvites(){
        var idevento = localStorage.getItem("idEvento");
        var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarConvites.php?idevento="+idevento+""
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        var content = "";
        ajax = $.getJSON( url, function( data ){
            var nome = data[0].nome;
            content += "<table border='0' width='100%'>"+
                                    "<tr>"+
                                        "<td colspan=2><strong>"+data[0].nome+"</strong></td>"+
                                    "</tr>"+
                                    "<tr>"+
                                        "<td width='25px'><img src='../img/man.png' width='50px' height='50px'></td>"+
                                        "<td>"+data[0].valor+" ("+data[0].lote+")</td>"+
                                    "</tr>"
            $.each( data, function( chave, valor ){
                if(valor.nome == nome){
                    //alert("Igual");
                    if(valor.idsexo == 2){
                        content += "<tr>"+
                                        "<td><img src='../img/woman.png' width='50px' height='50px'></td>"+
                                        "<td>"+valor.valor+" ("+valor.lote+")</td>"+
                                    "<tr>" 
                    }                    
                }
                else if(valor.nome !== nome){
                    nome = valor.nome;
                    content +=    "<tr>"+
                                        "<td colspan=2><strong>"+valor.nome+"</strong></td>"+
                                    "</tr>"+
                                    "<tr>"+
                                        "<td><img src='../img/man.png' width='50px' height='50px'></td>"+
                                        "<td>"+valor.valor+" ("+valor.lote+")</td>"+
                                    "</tr>"    
                }
            });
            content += "</table>";
            $("#convites").html(content);
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        });     
}
function testeConexaoInfoVendedores(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        gurdarLocalVenda(x);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
//info vendedores
function gurdarLocalVenda(x){
    var dados = [];
    var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarVendedor.php?idlocalvenda="+x+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
        ajax = $.getJSON( url, function( data ){
            $.each( data, function( chave, valor ) {
            dados.push({
                idvendedor: valor.idvendedor,
                idcontatoVendedor: valor.idcontatoVendedor,
                nomeVendedor: valor.nomeVendedor,
                rua: valor.rua,
                numero: valor.numero,
                bairro: valor.bairro,
                complemento: valor.complemento,
                telefone1: valor.telefone1,
                telefone2: valor.telefone2,
                telefone3: valor.telefone3,
                latitude: valor.latitude,
                longitude: valor.longitude,
                localEvento: valor.localEvento
            })
        });
        localStorage.setItem("vendedor", JSON.stringify(dados));
        direcionarTelaInfoVendedores();
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        }); 
}
function direcionarTelaInfoVendedores(){
    window.location.href = "./pgInfoVendedores.html";
}
//Cardapio
//Testa a conexao e em seguinda executa a funcao de abrir informaçoes do cardapio do evento
$(document).ready(function(){
    $("#abrirCardapio").bind("click", function(){
        var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        ajax = $.getJSON( url, function( data ){
            //Percorre toda a lista do json retornado e exibe na tela
            abrirCardapio();
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        }); 
    });
});
function abrirCardapio(){
        var idevento = localStorage.getItem("idEvento");
        var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarCardapio.php?idevento="+idevento+""
        // Abre uma conexao ajax para obter a lista do servidor no formato json
        var content = "";
        ajax = $.getJSON( url, function( data ){
            $.each( data, function( chave, valor ) {
                content += "<tr>"+
                               "<td>"+
                                    "<font size='2px' color='#708090'><div align='justify'>&gt;"+valor.nome+"</div></font>"+
                               "</td>"+
                           "</tr>"
        });
            $("#cardapio").html(content);
        }).fail(function() {
            msgSemConexao();
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        });     
}
function testeConexaoAbrirMapaVendedor(lat,lon){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        abriMapaVendedor(lat,lon);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
//abrir mapa vendedor
function abriMapaVendedor(lat,lon){
    window.location.href="http://isearch.net.br/servidor_isearch03/mapa/mapa.php?lat="+lat+"&lon="+lon+"";    
}
function msgSemConexao(){
    alert("Não foi possível conectar ao servidor. Verifique sua conexão com a Internet e tente novamente.");
}

//Direcionar tela evento pelo back da tela Vendedores
$(document).ready(function(){
    $("#telaVendedor").click(function(){
        var idTelaEvento = localStorage.getItem("idTelaEvento");
        if(idTelaEvento == 1){
            window.location.href = "./pgInfoEventos.html";
        }
        if(idTelaEvento == 2){
            window.location.href = "./pgInfoEventos1.html";
        } 
        if(idTelaEvento == 3){
            window.location.href = "./pgInfoEventos6.html";
        } 
        if(idTelaEvento == 4){
            window.location.href = "./pgInfoEventos7.html";
        }   
    });
});