function testeConexaoRegiaoBairro(idregiao){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        //carregarCategorias();
        carregarBairros_capital(idregiao);
    })
    .fail(function() {
        msgSemConexao();
        //alert(status);
        $('#telaLoading').html('');
        $("#telaLoading").removeClass("telaLoadingAtivado");
    })       
}
function carregarBairros_capital(idregiao){
    var idcidade = localStorage.getItem("idcidade");
    var tipoCidade = localStorage.getItem("tipo_cidade");
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarBairrosCapital.php?idregiao="+idregiao+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            array.push({
                idbairro: valor.idbairros_capital,
                nome: valor.nome    
            }); 
        });
        localStorage.setItem("bairros", JSON.stringify(array));
        direcionarTelaBairrosCapital();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });        
}
function direcionarTelaBairrosCapital(){
    window.location.href = "./bairros.html";
}
function testeConexaoInicialCategoriaBairrosCapital(idBairro){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        //carregarCategorias();
        carregarBairrosCapitalCategoriaEventoPromocao(idBairro)
    })
    .fail(function() {
        msgSemConexao();
        //alert(status);
        $('#telaLoading').html('');
        $("#telaLoading").removeClass("telaLoadingAtivado");
    })   
}
function carregarBairrosCapitalCategoriaEventoPromocao(idBairro){
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarBairrosCapitalCategorias.php?idbairro="+idBairro+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            array.push({
                idcategoria: valor.idcategoria_capital,
                nome: valor.nome,
                totalEstabelecimentos: valor.totalEstabelecimentos       
            }); 
        })
        localStorage.setItem("categoriasBairroCapital", JSON.stringify(array));
        localStorage.setItem("idbairros", idBairro);
        carregarCategoriaEventoPromocaoCapitalUm();
    }).fail(function() {
            msgSemConexao();
            //alert(status);
            $('#telaLoading').html('');
            $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicio");
        })    
}
function carregarCategoriaEventoPromocaoCapitalUm(){
    var idbairros = localStorage.getItem("idbairros");
    var content = "";
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarEstabelecimentosEmPromocaoBairroCapital.php?idbairros="+idbairros+"" 
    var array = new Array();
    // Abre uma conexao ajax para obter a lista do servidor no formato json     
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            array.push({
                idpessoa: valor.idpessoas_capital,
                nomeEstabelecimento: valor.nomeEstabelecimento,
                nomePromocao: valor.nomePromocao,
                descricaoPromocao: valor.descricao,
                codigoImagem: valor.codigoImagem    
            }); 
        })
        localStorage.setItem("promocaoBairroCapital", JSON.stringify(array));
        carregarCategoriaEventoPromocaoCapitalDois();
    }).fail(function() {
            msgSemConexao();
            //alert(status);
            $('#telaLoading').html('');
            $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicio");
        })    
}
function carregarCategoriaEventoPromocaoCapitalDois(){
    var idestado = localStorage.getItem("idestado");
    var url = "http://isearch.net.br/servidor_isearch03/phpEvento/carregarEventos.php?idestado="+idestado+""
    var array = new Array();
    //Abre uma conexao ajax para obter a lista do servidor no formato json     
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
            $.each( data, function( chave, valor ){
                array.push({
                    idevento: valor.idevento,
                    nomeEvento: valor.nomeEvento,
                    localEvento: valor.localEvento,
                    cidade: valor.cidade,
                    dataInicial: valor.dataInicial,
                    diaSemana: valor.diaSemana,
                    horaInicio: valor.horaInicio,
                    logo: valor.logo,
                    mesInicio: valor.mesInicio         
                }); 
            });
            
            localStorage.setItem("eventos", JSON.stringify(array));
            direcionarTelaMenuInicio(); 
            //$("#telaLoading").removeClass("telaLoadingAtivado");       
    }).fail(function() {
            msgSemConexao();
            //alert(status);
            $('#telaLoading').html('');
            $("#telaLoading").removeClass("telaLoadingAtivadoTelaInicio");
        })    
}
function direcionarTelaMenuInicio(){
    window.location.href = "./menu.html";
}
function enviarCategoria_capital(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    localStorage.setItem("idcategoria", x);
    testeConexaoCategoriaEstabelecimento_capital();
}
function testeConexaoCategoriaEstabelecimento_capital(){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        carregarEstabelecimento_capital();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });   
}
function carregarEstabelecimento_capital(){
    var content = "";
    //var idpessoa;
    var idcategoria = localStorage.getItem("idcategoria");
    var idbairro = localStorage.getItem("idbairros");
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarEstabelecimentos_capital.php?idcategoria="+idcategoria+"&idbairro="+idbairro+""
    var array = new Array();
    //Abre uma conexao ajax para obter a lista do servidor no formato json     
    ajax = $.getJSON( url, function( data ){
        if(data == ""){
        
        }else{
        // Percorre toda a lista do json retornado e exibe na tela
            $.each( data, function( chave, valor ){
                array.push({
                    idpessoa: valor.idpessoas_capital,
                    descricao: valor.descricao,
                    nome: valor.nome,
                    rua: valor.rua,
                    telefone1: valor.telefone1,
                    telefone2: valor.telefone2,
                    site: valor.site,
                    codigoLogo: valor.codigo ,
                    categoria: valor.categoria,
                    tipoContrato: valor.tipoContrato        
                }); 
            });
            localStorage.setItem("estabelecimento", JSON.stringify(array));
            direcionarTelaEstabelecimentos_capital();    
        }        
    }).fail(function() {
        msgSemConexao();
        $('#telaLoading').html('');
        $("#telaLoading").removeClass("telaLoadingAtivado");
    });   
}
function direcionarTelaEstabelecimentos_capital(){
    window.location.href = "./pgEstabelecimentos_capital.html";
}
function testeConexaoEstabelecimentoInfo_capital(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        infoEstabelecimentoAux_capital(x);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
function infoEstabelecimentoAux_capital(x){
    var arraySlide = new Array();
    localStorage.setItem("idestabelecimento", x);
    var idtipo = 2 //Codigo do tipo Slide
    var slide = [];
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSlideShow_capital.php?idpessoa="+x+"&idtipo="+idtipo+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ) {
            slide.push({
                idpessoa: x,
                imagens: valor.idimagens_capital,
                codigo: valor.codigo
            })        
        });
        localStorage.setItem("slideShow", JSON.stringify(slide));
        direcionarTelaIfonEstabelecimentos_capital();                       
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function direcionarTelaIfonEstabelecimentos_capital(){
    window.location.href = "./pgInfoEstabelecimento_capital.html";
}
function mostrarDetalhesEstabelecimento_capital(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");   
    var array = new Array();
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarInfoEstabelecimento_capital.php?idestabelecimento="+idestabelecimento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){ 
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.email !== "")&&(valor.complemento == "")){
            //alert("1");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone3: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone3+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento == "")){
            //alert("2");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento == "")){
            //alert("3");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento == "")){
            //alert("4");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.email == "")&&(valor.complemento == "")){
            //alert("5");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone3: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone3+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento == "")){
            //alert("6");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento == "")){
            //alert("7");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento == "")){
            //alert("8");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><b><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        //condies de existir complemento
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.email !== "")&&(valor.complemento !== "")){
            //alert("1");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone3: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone3+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento !== "")){
            //alert("2");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento !== "")){
            //alert("3");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");    
        }
        if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email !== "")&&(valor.complemento !== "")){
            //alert("4");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Email: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.email+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.email == "")&&(valor.complemento !== "")){
            //alert("5");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone3: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone3+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento !== "")){
            //alert("6");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone2: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone2+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento !== "")){
            //alert("7");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Telefone1: </font></td>"+
                                    "<td><font class='telefone' size=2px color='#708090'>"+valor.telefone1+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.email == "")&&(valor.complemento !== "")){
            //alert("8");
            $("#listarE").append("<table>"+
                                "<tr>"+
                                    "<td><font size=2px>Nome: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Categoria: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_categoria+"</font></td>"+
                                "</tr>"+
                                    "<tr>"+
                                    "<td><font size=2px>Endere&ccedilo: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.rua+", "+valor.numero+" - "+valor.complemento+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Bairro: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.bairro+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><b><font size=2px>Cidade: </font></td>"+
                                    "<td><font size=2px color='#708090'>"+valor.nome_cidade+" - "+valor.uf+"</font></td>"+
                                "</tr>"+
                                "<tr>"+
                                    "<td><font size=2px>Cep: </font></td>"+
                                    "<td><font class='cep' size=2px color='#708090'>"+valor.cep+"</font></td>"+
                                "</tr>"+
                           "</table>");     
        }
        });
        $('.telefone').mask('(00)0000-0000');
        $('.cep').mask('00000-000');
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });      
}
function infoEstabelecimento_capital(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarInfoEstabelecimento_capital.php?idestabelecimento="+idestabelecimento+""
    var array = []; 
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        var latitude = data[0].latitude;
        var longitude = data[0].longitude;
        var obj = {latitude: latitude, longitude: longitude}
        array.push(obj);
        localStorage.setItem("mapa",JSON.stringify(array));
        var options = "";
        $.each( data, function( chave, valor ){
            $("#titulo").html("<font>"+valor.nome+"</font>");
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.site !== "")){
            //alert("1");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone3+'"><font class="telefone" size="2px">'+valor.telefone3+'</font></a>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/site.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="javascript:testeConexaoSite_capital('+idestabelecimento+')"><font size="2px">'+valor.dominio+'</font></a>'+
                                '</td>'+
                            '</tr>'    
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.site !== "")){
            //alert("2");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/site.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="javascript:testeConexaoSite_capital('+idestabelecimento+')"><font size="2px">'+valor.dominio+'</font></a>'+
                                '</td>'+
                            '</tr>'    
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.site !== "")){
            //alert("3");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/site.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="javascript:testeConexaoSite_capital('+idestabelecimento+')"><font size="2px">'+valor.dominio+'</font></a>'+
                                '</td>'+
                            '</tr>'    
            }
            if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.site !== "")){
            //alert("4");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/site.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="javascript:testeConexaoSite_capital('+idestabelecimento+')"><font size="2px">'+valor.dominio+'</font></a>'+
                                '</td>'+
                            '</tr>'    
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")&&(valor.site == "")){
            //alert("5");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone3+'"><font class="telefone" size="2px">'+valor.telefone3+'</font></a>'+
                                '</td>'+
                            '</tr>'   
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")&&(valor.site == "")){
            //alert("6");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a>'+
                                '</td>'+
                            '</tr>'  
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.site == "")){
            //alert("7");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a>'+
                                '</td>'+
                            '</tr>'   
            }
            if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")&&(valor.site == "")){
            //alert("8");
                options +=  '<tr>'+
                                '<td colspan=2><font color="#708090">'+
                                    '<div align="justify"><font size=2px>"'+valor.descricao+'"</font></div></font>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/endereco.png" widht="15px" height="15px">'+
                                '</td>'+
                                '<td>'+
                                    '<font color="#708090" size=2px>'+valor.rua+', n&deg; '+valor.numero+'</font>'+
                                '</td>'+
                            '</tr>'   
            }
        });
        options += '';
        $("#idInfoEstabelecimento").html(options);
        $('.telefone').mask('(00)0000-0000');
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });      
}
function testeConexaoParceiros_capital(){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        infoParceiros_capital();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });    
}
function infoParceiros_capital(){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarParceiros.php"
    var arrayParceiros = new Array();
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            arrayParceiros.push({
                idparceiros: valor.idparceiros,
                site: valor.site,
                codigo: valor.codigo
            })
        });
        localStorage.setItem("parceiros", JSON.stringify(arrayParceiros));
        direcionarTelaParceiros_capital();                    
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function direcionarTelaParceiros_capital(){
    window.location.href = "./pgParceiros_capital.html";
}
function testeConexaoPromocaoPromocao_capital(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        infoPromocaoAux_capital(x);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });      
}
function infoPromocaoAux_capital(x){
    localStorage.setItem("idestabelecimento", x);
    var arraySlidePromocao = new Array();
    var idtipo = 4;
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSlidePromocao_capital.php?idpessoa="+x+"&idtipo="+idtipo+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ){
            arraySlidePromocao.push({
                idpessoa: x,
                idimagens: valor.idimagens_capital,
                codigo: valor.codigo
            })        
        });
        localStorage.setItem("slidePromocao", JSON.stringify(arraySlidePromocao));
        direcionarTelaPromocaoParaPromocao_capital();                      
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function direcionarTelaPromocaoParaPromocao_capital(){
    window.location.href = "./pgPromocaoDuplicado_capital.html";
}
function mostrarPromocaoDuplicado_capital(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");  
    var array = new Array();
	var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarPromocao_capital.php?idestabelecimento="+idestabelecimento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        var options = "";
        $.each( data, function( chave, valor ){
            $("#titulo").html("<font>"+valor.nome+"</font>");
            var dataInicio = valor.dataInicio;
            var dataInicioString = (dataInicio.split('-'));
            var dataFim = valor.dataFim;
            var dataFimString = (dataFim.split('-'));
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")){
            //alert("1");
                 options += '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width="1px">'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone3+'"><font class="telefone" size="2px">'+valor.telefone3+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'+
                                '<td colspan=2>'+
                                    '<a href="javascript:testeConexaoEstabelecimentoInfoDuplicado_capital('+valor.idpessoas_capital+')" ><font size=2px>'+valor.nomePessoa+'</font></a>'+       
                                '</td>'+
                            '</tr>'
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")){
            //alert("2");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'+
                                '<td colspan=2>'+
                                    '<a href="javascript:testeConexaoEstabelecimentoInfoDuplicado_capital('+valor.idpessoas_capital+')" ><font size=2px>'+valor.nomePessoa+'</font></a>'+       
                                '</td>'+
                            '</tr>'
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")){
            //alert("3");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width="1px">'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'+
                                '<td colspan=2>'+
                                    '<a href="javascript:testeConexaoEstabelecimentoInfoDuplicado_capital('+valor.idpessoas_capital+')" ><font size=2px>'+valor.nomePessoa+'</font></a>'+       
                                '</td>'+
                            '</tr>'
            }
            if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")){
            //alert("4");
                options += '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'+
                                '<td colspan=2>'+
                                    '<a href="javascript:testeConexaoEstabelecimentoInfoDuplicado_capital('+valor.idpessoas_capital+')" ><font size=2px>'+valor.nomePessoa+'</font></a>'+       
                                '</td>'+
                            '</tr>'
            }
        });
		$("#idPromocao").html(options);
        $('.telefone').mask('(00)0000-0000');           
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
function testeConexaoEstabelecimentoInfoDuplicado_capital(x){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        infoEstabelecimentoAuxDuplicado_capital(x);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });    
}
function infoEstabelecimentoAuxDuplicado_capital(x){
    var arraySlide = new Array();
    localStorage.setItem("idestabelecimento", x);
    var idtipo = 2 //Codigo do tipo Slide
    var slide = [];
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSlideShow_capital.php?idpessoa="+x+"&idtipo="+idtipo+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        $.each( data, function( chave, valor ) {
            slide.push({
                idpessoa: x,
                imagens: valor.idimagens_capital,
                codigo: valor.codigo
            })        
        });
        localStorage.setItem("slideShow", JSON.stringify(slide));
        direcionarTelaIfonEstabelecimentosDuplicado_capital();                       
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function direcionarTelaIfonEstabelecimentosDuplicado_capital(){
    window.location.href = "./pgInfoEstabelecimentoDuplicado_capital.html";
}
function testeConexaoSite_capital(idpessoa){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        //Percorre toda a lista do json retornado e exibe na tela
        abriSite_capital(idpessoa);
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    }); 
}
function abriSite_capital(idpessoa){
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSitePessoa_capital.php?idpessoa="+idpessoa+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
            //window.location.href = data[0].site;
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
            window.open(data[0].site, '_system');
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });    
}
function testeConexaoInfoPromocao_capital(){
    $("#telaLoading").addClass("telaLoadingAtivado");
    $('#telaLoading').html('<img src="../img/ajax-loader.gif"/>');
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/testeConexao.php?teste=1"
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        // Percorre toda a lista do json retornado e exibe na tela
        infoPromocaoAuxDaTelaDoEstabelecimento_capital();
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });   
}
function infoPromocaoAuxDaTelaDoEstabelecimento_capital(){
    var x = localStorage.getItem("idestabelecimento");
    var arraySlidePromocao = new Array();
    var idtipo = 4;
    var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarSlidePromocao_capital.php?idpessoa="+x+"&idtipo="+idtipo+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        if(data == ""){
            $('#msgSemPromocao').stop().fadeIn(400).delay(2000).fadeOut(400);
            //alert("Este estabelecimento não possui promoção");
            $("#telaLoading").removeClass("telaLoadingAtivado");
            $('#telaLoading').html('');
        }else{
            // Percorre toda a lista do json retornado e exibe na tela
            $.each( data, function( chave, valor ){
                arraySlidePromocao.push({
                    idpessoa: x,
                    idimagens: valor.idimagens_capital,
                    codigo: valor.codigo
                })        
            });
            localStorage.setItem("slidePromocao", JSON.stringify(arraySlidePromocao));
            direcionarTelaPromocao_capital();               
        }                    
    }).fail(function() {
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}
function direcionarTelaPromocao_capital(){
    window.location.href = "./pgPromocao_capital.html";
}
function mostrarPromocaoExistente_capital(){
    var idestabelecimento = localStorage.getItem("idestabelecimento");  
    var array = new Array();
	var url = "http://isearch.net.br/servidor_isearch03/phpEstabelecimento/carregarPromocao_capital.php?idestabelecimento="+idestabelecimento+""
    // Abre uma conexao ajax para obter a lista do servidor no formato json
    ajax = $.getJSON( url, function( data ){
        var options = "";
        $.each( data, function( chave, valor ){
            $("#titulo").html("<font>"+valor.nome+"</font>");
            var dataInicio = valor.dataInicio;
            var dataInicioString = (dataInicio.split('-'));
            var dataFim = valor.dataFim;
            var dataFimString = (dataFim.split('-'));
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 !== "")){
            //alert("1");
                 options += '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width="1px">'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone3+'"><font class="telefone" size="2px">'+valor.telefone3+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 !== "")&&(valor.telefone3 == "")){
            //alert("2");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width=1px>'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a><font color="#708090"> | </font>'+
                                    '<a href="tel:'+valor.telefone2+'"><font class="telefone" size="2px">'+valor.telefone2+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'
            }
            if((valor.telefone1 !== "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")){
            //alert("3");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td width="1px">'+
                                    '<img src="../img/telefone.png" widht="15px" height="15px">'+    
                                '</td>'+
                                '<td>'+
                                    '<a href="tel:'+valor.telefone1+'"><font class="telefone" size="2px">'+valor.telefone1+'</font></a>'+       
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'
            }
            if((valor.telefone1 == "")&&(valor.telefone2 == "")&&(valor.telefone3 == "")){
            //alert("4");
                options +=  '<tr>'+
                                '<td colspan=2>'+
                                    '<div align="justify"><font color="#708090" size=2px>'+valor.descricao+'</font></div>'+
                                '</td>'+
                            '</tr>'+
                            '<tr style="border-top: 1px solid #EEE9E9;">'+
                                '<td colspan=2>'+
                                    '<font size=2px color="#708090">Validade '+dataInicioString[2]+"-"+dataInicioString[1]+"-"+dataInicioString[0]+' a '+dataFimString[2]+"-"+dataFimString[1]+"-"+dataFimString[0]+'</font>'+    
                                '</td>'+
                            '</tr>'+
                            '<tr>'
            }
        });
		$("#idPromocao").html(options);
        $('.telefone').mask('(00)0000-0000');           
    }).fail(function(){
        msgSemConexao();
        $("#telaLoading").removeClass("telaLoadingAtivado");
        $('#telaLoading').html('');
    });     
}